Loading...
Searching...
No Matches
fastjet::Selector::InvalidWorker Class Reference

class that gets thrown when a Selector is applied despite it not having a valid underlying worker. More...

`#include <fastjet/Selector.hh>`

Inheritance diagram for fastjet::Selector::InvalidWorker:
[legend]
Collaboration diagram for fastjet::Selector::InvalidWorker:
[legend]

## Additional Inherited Members

Public Member Functions inherited from fastjet::Error
| Error ()
| default constructors
| Error (const std::string &message)
| ctor from an error message
virtual | ~Error ()
| virtual dummy dtor
std::string | message () const
| the error message
std::string | description () const
| an alternative access to the error message (more standard)
Static Public Member Functions inherited from fastjet::Error
static void | set_print_errors (bool print_errors)
| controls whether the error message (and the backtrace, if its printing is enabled) is printed out or not
static void | set_print_backtrace (bool enabled)
| controls whether the backtrace is printed out with the error message or not.
static void | set_default_stream (std::ostream *ostr)
| sets the default output stream for all errors; by default cerr; if it's null then error output is suppressed.

## Detailed Description

class that gets thrown when a Selector is applied despite it not having a valid underlying worker.

Definition at line 309 of file Selector.hh.

## Constructor & Destructor Documentation

## InvalidWorker()

fastjet::Selector::InvalidWorker::InvalidWorker | ( |  | ) |

inline

Definition at line 311 of file Selector.hh.

The documentation for this class was generated from the following file:

- include/fastjet/Selector.hh